Bug 480456 - [gnubg] Adapt to font package renamings
[gnubg] Adapt to font package renamings
Product: Fedora
Classification: Fedora
Component: gnubg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
Depends On:
Blocks: F11-new-font-naming
  Show dependency treegraph
Reported: 2009-01-17 07:42 EST by Nicolas Mailhot
Modified: 2009-01-20 14:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 14:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-01-17 07:42:44 EST
Notification of font package renamings
Comment 1 Nicolas Mailhot 2009-01-17 08:01:20 EST
FPC unexpectedly refused to ratify a proposal that put into writing our de-facto font package naming rules for the past years, and requested naming changes. As a result many font packages have been or will be renamed soon (including recently created packages)

We have detected your package depends on such a font package. Please change your dependencies accordingly.

See also
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#fpc_renaminghttp://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2009-01-13)
— http://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_(FAQ)#What_if_my_package_bundles_Bitstream_Vera.2C_Arev.2C_DejaVu_LGC_or_another_Bitstream_Vera_font_derivative.3F

To ease the transition and avoid breaking F11 Alpha DejaVu has already been renamed but still declares its old names for full via rpm Provides. Those provides will be removed for Fedora 11 beta, to ensure no remaining legacy deps remains in the distribution. In the meanwhile packages depending on DejaVu full won't break and can be adapted at your leasure.
Comment 2 Nicolas Mailhot 2009-01-19 05:24:43 EST
[Natural language informal translation]

In this issue you're just warned font packages you depend on have been/will be
renamed shortly, so your package dependencies will break. There is not much to do except changing your deps once that happens (dejavu has been renamed, liberation has in koji but has not hit rawhide yet, smc had been
too, and you may depend on others yet)

[Just to be 100% clear I didn't ask for this last renaming run, FPC demanded naming changes for "consistency" against my advice, I'm only the good little soldier who gets to implement their decision and be yelled at, so if you're not happy complain at them not me.]
Comment 3 Jon Ciesla 2009-01-20 14:13:17 EST
Fixed in rawhide for dejavu.

Note You need to log in before you can comment on or make changes to this bug.